package eu.eudat.commons.types.descriptiontemplate.fielddata;

import eu.eudat.commons.enums.FieldDataInternalDmpEntryType;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

import java.util.HashMap;
import java.util.Map;

public abstract class InternalDmpBaseDataEntity<T> extends BaseFieldDataEntity<T> {

	public abstract FieldDataInternalDmpEntryType getFieldSubType();
	
	@Override
	public Element toXml(Document doc) {
		Element root = super.toXml(doc);
		root.setAttribute("type", this.getFieldSubType().toString());
		return root;
	}

	@Override
	public T fromXml(Element item) {
		super.fromXml(item);
		return (T) this;
	}
}
