package eu.eudat.model.builder.descriptiontemplatedefinition.fielddata;

import eu.eudat.commons.types.descriptiontemplate.fielddata.CheckBoxDataEntity;
import eu.eudat.convention.ConventionService;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.CheckBoxData;
import gr.cite.tools.fieldset.FieldSet;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class CheckBoxDataBuilder extends BaseFieldDataBuilder<CheckBoxData, CheckBoxDataEntity> {

	@Autowired
	public CheckBoxDataBuilder(ConventionService conventionService) {
		super(conventionService, new LoggerService(LoggerFactory.getLogger(CheckBoxDataBuilder.class)));
	}

	protected CheckBoxData getInstance() {
		return new CheckBoxData();
	}
	@Override
	protected void buildChild(FieldSet fields, CheckBoxDataEntity d, CheckBoxData m) {
	}
}
