package eu.eudat.model.builder.descriptiontemplatedefinition.fielddata;

import eu.eudat.commons.types.descriptiontemplate.fielddata.FreeTextDataEntity;
import eu.eudat.convention.ConventionService;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.FreeTextData;
import gr.cite.tools.fieldset.FieldSet;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class FreeTextDataBuilder extends BaseFieldDataBuilder<FreeTextData, FreeTextDataEntity> {

	@Autowired
	public FreeTextDataBuilder(ConventionService conventionService) {
		super(conventionService, new LoggerService(LoggerFactory.getLogger(FreeTextDataBuilder.class)));
	}

	protected FreeTextData getInstance() {
		return new FreeTextData();
	}
	@Override
	protected void buildChild(FieldSet fields, FreeTextDataEntity d, FreeTextData m) {
	}
}
