package eu.eudat.query.lookup;

import eu.eudat.query.DmpReferenceQuery;
import gr.cite.tools.data.query.Lookup;
import gr.cite.tools.data.query.QueryFactory;

import java.util.Collection;
import java.util.UUID;

public class DmpReferenceLookup extends Lookup {

    private Collection<UUID> ids;

    private Collection<UUID> dmpIds;

    private Collection<UUID> referenceIds;


    public DmpReferenceQuery enrich(QueryFactory queryFactory) {
        DmpReferenceQuery query = queryFactory.query(DmpReferenceQuery.class);
        if (this.ids != null) query.ids(this.ids);
        if (this.dmpIds != null) query.dmpIds(this.dmpIds);
        if (this.referenceIds != null) query.referenceIds(this.referenceIds);

        this.enrichCommon(query);

        return query;
    }

}
