package eu.eudat.service.keycloak;

import eu.eudat.data.TenantEntity;
import org.jetbrains.annotations.NotNull;
import org.keycloak.representations.idm.GroupRepresentation;

import java.util.HashMap;
import java.util.UUID;

public interface KeycloakService {

    void addUserToGroup(UUID subjectId, String groupId);
    void removeUserFromGroup(@NotNull UUID subjectId, String groupId);
    void addUserToGroup(UUID subjectId, KeycloakRole role);
    void removeUserFromGroup(@NotNull UUID subjectId, KeycloakRole role);
    void assignClientRoleToUser(UUID subjectId, String clientId, KeycloakRole role);
    void removeClientRoleFromUser(UUID subjectId, String clientId, KeycloakRole role);

}
