package gr.cite.notification.common.types.tenant;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "config")
@XmlAccessorType(XmlAccessType.FIELD)
public class TenantConfigEntity {

    @XmlElement(name = "deposit-configuration")
    private TenantDepositConfigEntity deposit;

    @XmlElement(name = "file-transformers-configuration")
    private TenantFileTransformersConfigEntity fileTransformers;

    public TenantDepositConfigEntity getDeposit() {
        return deposit;
    }

    public void setDeposit(TenantDepositConfigEntity deposit) {
        this.deposit = deposit;
    }

    public TenantFileTransformersConfigEntity getFileTransformers() {
        return fileTransformers;
    }

    public void setFileTransformers(TenantFileTransformersConfigEntity fileTransformers) {
        this.fileTransformers = fileTransformers;
    }
}

