package eu.eudat.logic.proxy.config.configloaders;

import eu.eudat.service.descriptiontemplate.Semantic;
import eu.eudat.models.data.pid.PidLinks;
import eu.eudat.service.reference.external.config.ExternalUrls;
import org.apache.poi.xwpf.usermodel.XWPFDocument;

import java.util.List;
import java.util.Map;

public interface ConfigLoader {
    XWPFDocument getDocument();
    XWPFDocument getDatasetDocument();
    PidLinks getPidLinks();
    Map<String, String> getKeyToSourceMap();
}
