//package eu.eudat.models.data.listingmodels;
//
//import eu.eudat.commons.enums.DmpBlueprintStatus;
//import eu.eudat.commons.types.dmpblueprint.DefinitionEntity;
//import eu.eudat.data.DmpBlueprintEntity;
//import eu.eudat.models.DataModel;
//import eu.eudat.commons.types.xml.XmlBuilder;
//import org.w3c.dom.Document;
//
//import java.time.Instant;
//import java.util.UUID;
//
///**
// * Created by ikalyvas on 3/21/2018.
// */
//public class DataManagementPlanProfileListingModel implements DataModel<DmpBlueprintEntity, DataManagementPlanProfileListingModel> {
//
//    private UUID id;
//
//    private String label;
//
//    private DefinitionEntity definitionEntity;
//
//    private DmpBlueprintStatus status;
//
//    private Instant created = null;
//
//    private Instant modified = Instant.now();
//
//    public UUID getId() {
//        return id;
//    }
//
//    public void setId(UUID id) {
//        this.id = id;
//    }
//
//    public String getLabel() {
//        return label;
//    }
//
//    public void setLabel(String label) {
//        this.label = label;
//    }
//
//    public DefinitionEntity getDefinition() {
//        return definitionEntity;
//    }
//
//    public void setDefinition(DefinitionEntity definitionEntity) {
//        this.definitionEntity = definitionEntity;
//    }
//
//    public DmpBlueprintStatus getStatus() {
//        return status;
//    }
//
//    public void setStatus(DmpBlueprintStatus status) {
//        this.status = status;
//    }
//
//    public Instant getCreated() {
//        return created;
//    }
//
//    public void setCreated(Instant created) {
//        this.created = created;
//    }
//
//    public Instant getModified() {
//        return modified;
//    }
//
//    public void setModified(Instant modified) {
//        this.modified = modified;
//    }
//
//    @Override
//    public DataManagementPlanProfileListingModel fromDataModel(DmpBlueprintEntity entity) {
//        this.id = entity.getId();
//        this.created = entity.getCreatedAt();
//        this.definitionEntity = new DefinitionEntity().fromXml(XmlBuilder.fromXml(entity.getDefinition()).getDocumentElement());
//        this.modified = entity.getUpdatedAt();
//        this.label = entity.getLabel();
//        this.status = entity.getStatus();
//        return this;
//    }
//
//    @Override
//    public DmpBlueprintEntity toDataModel() throws Exception {
//        Document document = XmlBuilder.getDocument();
//        document.appendChild(this.definitionEntity.toXml(document));
//        DmpBlueprintEntity dmpBlueprint = new DmpBlueprintEntity();
//        dmpBlueprint.setCreatedAt(this.created == null ? Instant.now() : this.created);
//        dmpBlueprint.setDefinition(XmlBuilder.generateXml(document));
//        dmpBlueprint.setId(this.id);
//        dmpBlueprint.setLabel(this.label);
//        dmpBlueprint.setStatus(this.status);
//        dmpBlueprint.setUpdatedAt(this.modified == null ? Instant.now() : this.modified);
//        return dmpBlueprint;
//    }
//
//    @Override
//    public String getHint() {
//        return null;
//    }
//}
