import { Lookup } from "@common/model/lookup";
import { ReferenceType } from "../common/enum/reference-type";
import { Guid } from "@common/types/guid";

export class ReferenceSearchLookup extends Lookup{
	like: string;
	type: ReferenceType;
	key: string;

	constructor() {
		super();
	}
}


export class ReferenceSearchDefinitionLookup extends Lookup{
	like: string;
	referenceTypeId: Guid;
	key: string;

	constructor() {
		super();
	}
}