﻿import { Component, Input } from '@angular/core';
import { UntypedFormArray } from '@angular/forms';

@Component({
	selector: 'app-dataset-profile-editor-page-component',
	templateUrl: './dataset-profile-editor-page.component.html',
	styleUrls: ['./dataset-profile-editor-page.component.scss']
})
export class DatasetProfileEditorPageComponent {

	@Input() form: UntypedFormArray;
	@Input() viewOnly: boolean;

	removePage(index) {
		(<UntypedFormArray>this.form).removeAt(index);
	}
}
