import { Component, Input, OnInit } from '@angular/core';
import { DescriptionTemplateFieldSet } from '@app/core/model/description-template/description-template';

@Component({
	selector: 'app-form-composite-title',
	templateUrl: './form-composite-title.component.html',
	styleUrls: ['./form-composite-title.component.scss']
})
export class DescriptionFormCompositeTitleComponent implements OnInit {

	@Input() fieldSet: DescriptionTemplateFieldSet;
	@Input() isChild: Boolean = false;
	@Input() path: string;

	public showExtendedDescription: boolean = false;

	constructor() { }

	ngOnInit() {
	}

}
