package eu.eudat.commons.types.descriptiontemplate.importexport;

import eu.eudat.model.persist.descriptiontemplatedefinition.FieldPersist;
import eu.eudat.model.persist.descriptiontemplatedefinition.FieldSetPersist;
import eu.eudat.service.fielddatahelper.FieldDataHelperServiceProvider;
import jakarta.xml.bind.annotation.*;

import java.util.LinkedList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class FieldSetImportExport {

    @XmlAttribute(name = "id")
    private String id;
    @XmlAttribute(name = "ordinal")
    private int ordinal;
    @XmlElementWrapper(name = "fields")
    @XmlElement(name = "field")
    private List<FieldImportExport> fields;
    @XmlElement(name = "numbering")
    private String numbering;
    @XmlElement(name = "commentField")
    private Boolean commentField;
    @XmlElement(name = "multiplicity")
    private MultiplicityImportXml multiplicity;
    @XmlElement(name = "description")
    private String description;
    @XmlElement(name = "extendedDescription")
    private String extendedDescription;
    @XmlElement(name = "additionalInformation")
    private String additionalInformation;
    @XmlElement(name = "title")
    private String title;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getOrdinal() {
        return ordinal;
    }

    public void setOrdinal(int ordinal) {
        this.ordinal = ordinal;
    }

    public List<FieldImportExport> getFields() {
        return fields;
    }

    public void setFields(List<FieldImportExport> fields) {
        this.fields = fields;
    }

    public String getNumbering() {
        return numbering;
    }

    public void setNumbering(String numbering) {
        this.numbering = numbering;
    }

    public Boolean getCommentField() {
        return commentField;
    }

    public void setCommentField(Boolean commentField) {
        this.commentField = commentField;
    }

    public MultiplicityImportXml getMultiplicity() {
        return multiplicity;
    }

    public void setMultiplicity(MultiplicityImportXml multiplicity) {
        this.multiplicity = multiplicity;
    }

    public String getTitle() {
        return title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getExtendedDescription() {
        return extendedDescription;
    }

    public void setExtendedDescription(String extendedDescription) {
        this.extendedDescription = extendedDescription;
    }

    public String getAdditionalInformation() {
        return additionalInformation;
    }

    public void setAdditionalInformation(String additionalInformation) {
        this.additionalInformation = additionalInformation;
    }

    public void setTitle(String title) {
        this.title = title;
    }

}
