package eu.eudat.commons.types.descriptiontemplate.importexport.fielddata;

import jakarta.xml.bind.annotation.*;

import java.util.List;


@XmlAccessorType(XmlAccessType.FIELD)
public class UploadDataImportExport extends BaseFieldDataImportExport {
    @XmlElementWrapper(name = "types")
    @XmlElement(name = "type")
    private List<UploadDataOption> types;

    @XmlAttribute(name = "maxFileSizeInMB")
    private Integer maxFileSizeInMB;

    public List<UploadDataOption> getTypes() {
        return types;
    }

    public void setTypes(List<UploadDataOption> types) {
        this.types = types;
    }

    public Integer getMaxFileSizeInMB() {
        return maxFileSizeInMB;
    }

    public void setMaxFileSizeInMB(Integer maxFileSizeInMB) {
        this.maxFileSizeInMB = maxFileSizeInMB;
    }

}

