package eu.eudat.commons.types.referencetype;

import jakarta.xml.bind.annotation.*;

import java.util.List;

@XmlRootElement(name = "dependency")
@XmlAccessorType(XmlAccessType.FIELD)
public class ReferenceTypeSourceBaseDependencyEntity {
    @XmlAttribute(name = "referenceTypeCode")
    private String referenceTypeCode;

    @XmlAttribute(name = "key")
    private String key;

    @XmlAttribute(name = "required")
    private Boolean required;

    @XmlElementWrapper(name = "properties")
    @XmlElement(name = "property")
    private List<DependencyPropertyEntity> properties;


    public String getReferenceTypeCode() {
        return referenceTypeCode;
    }

    public void setReferenceTypeCode(String referenceTypeCode) {
        this.referenceTypeCode = referenceTypeCode;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    public List<DependencyPropertyEntity> getProperties() {
        return properties;
    }

    public void setProperties(List<DependencyPropertyEntity> properties) {
        this.properties = properties;
    }
}
