package eu.eudat.configurations.referencetype;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@EnableConfigurationProperties({ReferenceTypeProperties.class})
public class ReferenceTypeConfiguration {

    private final ReferenceTypeProperties referenceTypeProperties;

    @Autowired
    public ReferenceTypeConfiguration(ReferenceTypeProperties referenceTypeProperties) {
        this.referenceTypeProperties = referenceTypeProperties;
    }
}
