package eu.eudat.model;

import eu.eudat.commons.enums.DmpAccessType;
import eu.eudat.commons.enums.DmpStatus;
import eu.eudat.commons.enums.IsActive;

import java.time.Instant;
import java.util.List;
import java.util.UUID;

public class PublicDmp {

    private UUID id;

    public static final String _id = "id";

    private String label;

    public static final String _label = "label";

    private Short version;

    public static final String _version = "version";

    private String description;

    public static final String _description = "description";

    private Instant finalizedAt;

    public static final String _finalizedAt = "finalizedAt";

    private Instant publishedAt;

    public static final String _publishedAt = "publishedAt";

    private List<PublicDmpUser> users;

    public static final String _users = "users";

    private List<PublicDmpReference> dmpReferences;

    public static final String _dmpReferences = "_dmpReferences";

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Short getVersion() {
        return version;
    }

    public void setVersion(Short version) {
        this.version = version;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Instant getFinalizedAt() {
        return finalizedAt;
    }

    public void setFinalizedAt(Instant finalizedAt) {
        this.finalizedAt = finalizedAt;
    }

    public Instant getPublishedAt() {
        return publishedAt;
    }

    public void setPublishedAt(Instant publishedAt) {
        this.publishedAt = publishedAt;
    }

    public List<PublicDmpUser> getUsers() {
        return users;
    }

    public void setUsers(List<PublicDmpUser> users) {
        this.users = users;
    }

    public List<PublicDmpReference> getDmpReferences() {
        return dmpReferences;
    }

    public void setDmpReferences(List<PublicDmpReference> dmpReferences) {
        this.dmpReferences = dmpReferences;
    }
}
