package eu.eudat.model.builder.descriptiontemplatedefinition.fielddata;

import eu.eudat.commons.types.descriptiontemplate.fielddata.BooleanDecisionDataEntity;
import eu.eudat.convention.ConventionService;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.BooleanDecisionData;
import gr.cite.tools.fieldset.FieldSet;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class BooleanDecisionDataBuilder extends BaseFieldDataBuilder<BooleanDecisionData, BooleanDecisionDataEntity> {

	@Autowired
	public BooleanDecisionDataBuilder(ConventionService conventionService) {
		super(conventionService, new LoggerService(LoggerFactory.getLogger(BooleanDecisionDataBuilder.class)));
	}

	protected BooleanDecisionData getInstance() {
		return new BooleanDecisionData();
	}

	@Override
	protected void buildChild(FieldSet fields, BooleanDecisionDataEntity d, BooleanDecisionData model) {
	}
}
