package eu.eudat.model.builder.descriptiontemplatedefinition.fielddata;

import eu.eudat.commons.types.descriptiontemplate.fielddata.CurrencyDataEntity;
import eu.eudat.convention.ConventionService;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.CurrencyData;
import gr.cite.tools.fieldset.FieldSet;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class CurrencyDataBuilder extends BaseFieldDataBuilder<CurrencyData, CurrencyDataEntity> {

	@Autowired
	public CurrencyDataBuilder(ConventionService conventionService) {
		super(conventionService, new LoggerService(LoggerFactory.getLogger(CurrencyDataBuilder.class)));
	}

	protected CurrencyData getInstance() {
		return new CurrencyData();
	}

	@Override
	protected void buildChild(FieldSet fields, CurrencyDataEntity d, CurrencyData m) {
	}
}
