package eu.eudat.model.builder.descriptiontemplatedefinition.fielddata;

import eu.eudat.commons.types.descriptiontemplate.fielddata.DatasetIdentifierDataEntity;
import eu.eudat.convention.ConventionService;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.DatasetIdentifierData;
import gr.cite.tools.fieldset.FieldSet;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class DatasetIdentifierDataBuilder extends BaseFieldDataBuilder<DatasetIdentifierData, DatasetIdentifierDataEntity> {

	@Autowired
	public DatasetIdentifierDataBuilder(ConventionService conventionService) {
		super(conventionService, new LoggerService(LoggerFactory.getLogger(DatasetIdentifierDataBuilder.class)));
	}

	protected DatasetIdentifierData getInstance() {
		return new DatasetIdentifierData();
	}

	@Override
	protected void buildChild(FieldSet fields, DatasetIdentifierDataEntity d, DatasetIdentifierData m) {
	}
}
