package eu.eudat.model.builder.descriptiontemplatedefinition.fielddata;

import eu.eudat.commons.types.descriptiontemplate.fielddata.DatePickerDataEntity;
import eu.eudat.convention.ConventionService;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.DatePickerData;
import gr.cite.tools.fieldset.FieldSet;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class DatePickerDataBuilder extends BaseFieldDataBuilder<DatePickerData, DatePickerDataEntity> {

	@Autowired
	public DatePickerDataBuilder(ConventionService conventionService) {
		super(conventionService, new LoggerService(LoggerFactory.getLogger(DatePickerDataBuilder.class)));
	}

	protected DatePickerData getInstance() {
		return new DatePickerData();
	}
	@Override
	protected void buildChild(FieldSet fields, DatePickerDataEntity d, DatePickerData m) {
	}
}
