package eu.eudat.model.builder.descriptiontemplatedefinition.fielddata;

import eu.eudat.commons.types.descriptiontemplate.fielddata.RichTextAreaDataEntity;
import eu.eudat.convention.ConventionService;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.RichTextAreaData;
import gr.cite.tools.fieldset.FieldSet;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class RichTextAreaDataBuilder extends BaseFieldDataBuilder<RichTextAreaData, RichTextAreaDataEntity> {

	@Autowired
	public RichTextAreaDataBuilder(ConventionService conventionService) {
		super(conventionService, new LoggerService(LoggerFactory.getLogger(RichTextAreaDataBuilder.class)));
	}

	protected RichTextAreaData getInstance() {
		return new RichTextAreaData();
	}
	@Override
	protected void buildChild(FieldSet fields, RichTextAreaDataEntity d, RichTextAreaData m) {
	}
}
