package eu.eudat.model.builder.descriptiontemplatedefinition.fielddata;

import eu.eudat.commons.types.descriptiontemplate.fielddata.TextAreaDataEntity;
import eu.eudat.convention.ConventionService;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.TextAreaData;
import gr.cite.tools.fieldset.FieldSet;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class TextAreaDataBuilder extends BaseFieldDataBuilder<TextAreaData, TextAreaDataEntity> {

	@Autowired
	public TextAreaDataBuilder(ConventionService conventionService) {
		super(conventionService, new LoggerService(LoggerFactory.getLogger(TextAreaDataBuilder.class)));
	}

	protected TextAreaData getInstance() {
		return new TextAreaData();
	}
	@Override
	protected void buildChild(FieldSet fields, TextAreaDataEntity d, TextAreaData m) {
	}
}
