package eu.eudat.query.lookup;

import eu.eudat.commons.enums.ReferenceType;
import eu.eudat.query.ReferenceQuery;
import gr.cite.tools.data.query.Lookup;
import gr.cite.tools.data.query.QueryFactory;

public class ReferenceSearchLookup extends Lookup {

    private String like;

    private ReferenceType type;

    private String key;

    public String getLike() {
        return like;
    }

    public void setLike(String like) {
        this.like = like;
    }

    public ReferenceType getType() {
        return type;
    }

    public void setType(ReferenceType type) {
        this.type = type;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public ReferenceQuery enrich(QueryFactory queryFactory) {
        ReferenceQuery query = queryFactory.query(ReferenceQuery.class);
        if (this.type != null) query.types(this.type);

        this.enrichCommon(query);

        return query;
    }
}
