package eu.eudat.data.dao.entities;

import eu.eudat.data.DmpEntity;
import eu.eudat.data.dao.DatabaseAccessLayer;
import eu.eudat.data.dao.criteria.DataManagementPlanCriteria;
import eu.eudat.data.dao.criteria.DatasetWizardUserDmpCriteria;
import eu.eudat.data.UserEntity;
import eu.eudat.queryable.QueryableList;

import java.util.List;
import java.util.UUID;

public interface DMPDao extends DatabaseAccessLayer<DmpEntity, UUID> {

    QueryableList<DmpEntity> getWithCriteria(DataManagementPlanCriteria criteria);

    QueryableList<DmpEntity> getUserDmps(DatasetWizardUserDmpCriteria datasetWizardAutocompleteRequest, UserEntity userInfo);

    QueryableList<DmpEntity> getAuthenticated(QueryableList<DmpEntity> query, UUID principalId, List<Integer> roles);

}