package gr.cite.notification.common.types.notification;

import gr.cite.notification.common.enums.NotificationDataType;

public class FieldInfo {
	private String key;
	public final static String _key = "key";
	private NotificationDataType type;
	public final static String _type = "type";
	private String value;
	public final static String _value = "value";

	public FieldInfo(String key, NotificationDataType type, String value) {
		this.key = key;
		this.type = type;
		this.value = value;
	}

	public FieldInfo() {
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public NotificationDataType getType() {
		return type;
	}

	public void setType(NotificationDataType type) {
		this.type = type;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}
