package gr.cite.notification.model.persist.notificationtemplate;

import gr.cite.notification.common.enums.NotificationDataType;
import gr.cite.notification.common.validation.ValidEnum;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

public class FieldInfoPersist {

	@NotNull
	@NotEmpty
	private String key;

	@ValidEnum
	private NotificationDataType type;

	@NotNull
	@NotEmpty
	private String value;

	public FieldInfoPersist(String key, NotificationDataType type, String value) {
		this.key = key;
		this.type = type;
		this.value = value;
	}

	public FieldInfoPersist() {
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public NotificationDataType getType() {
		return type;
	}

	public void setType(NotificationDataType type) {
		this.type = type;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}
