package eu.eudat.logic.services.utilities;

import eu.eudat.data.dao.entities.EmailConfirmationDao;
import eu.eudat.data.UserEntity;

import javax.management.InvalidApplicationException;


public interface ConfirmationEmailService {
	public void sentConfirmationEmail(EmailConfirmationDao loginConfirmationEmailDao, String email, UserEntity user) throws InvalidApplicationException;

	public void sentUnlinkConfirmationEmail(EmailConfirmationDao loginConfirmationEmailDao, String email, UserEntity user, Integer provider) throws InvalidApplicationException;

	public void sentMergeConfirmationEmail(EmailConfirmationDao loginConfirmationEmailDao, String email, UserEntity user, Integer provider) throws InvalidApplicationException;
}