package eu.eudat.logic.services.utilities;


import eu.eudat.data.DmpEntity;
import eu.eudat.data.DmpUserEntity;
import eu.eudat.data.dao.entities.DMPDao;
import eu.eudat.data.dao.entities.InvitationDao;
import eu.eudat.data.old.Invitation;

import eu.eudat.data.UserEntity;
import jakarta.mail.MessagingException;

import javax.management.InvalidApplicationException;
import java.util.List;
import java.util.concurrent.CompletableFuture;


public interface InvitationService {
    void assignToDmp(DMPDao dmpDao, List<DmpUserEntity> users, DmpEntity dmp);

    void assignToDmp(DMPDao dmpDao, DmpUserEntity user, DmpEntity dmp);

    void createInvitations(InvitationDao invitationDao, List<UserEntity> users, DmpEntity dmp, Integer role, UserEntity creator) throws MessagingException, InvalidApplicationException;

    void sendInvitation(DmpEntity dmp, Invitation invitation, UserEntity user, Integer role) throws InvalidApplicationException;
}
