package eu.eudat.logic.services.utilities;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by ikalyvas on 3/1/2018.
 */
@Service("utilitiesService")
public class UtilitiesServiceImpl implements UtilitiesService {

    private InvitationService invitationService;
    private ConfirmationEmailService confirmationEmailService;

    @Autowired
    public UtilitiesServiceImpl(InvitationService invitationService, ConfirmationEmailService confirmationEmailService) {
        this.invitationService = invitationService;
        this.confirmationEmailService = confirmationEmailService;
    }

    @Override
    public ConfirmationEmailService getConfirmationEmailService() {
        return confirmationEmailService;
    }

    @Override
    public InvitationService getInvitationService() {
        return invitationService;
    }

}
