package eu.eudat.logic.utilities.schedule.notification;

import eu.eudat.logic.managers.NotificationManager;
import eu.eudat.logic.services.ApiContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component
public class NotificationScheduleJob {
	private static final Logger logger = LoggerFactory.getLogger(NotificationScheduleJob.class);

	private ApiContext apiContext;
	private NotificationManager notificationManager;

	@Autowired
	public NotificationScheduleJob(ApiContext apiContext, NotificationManager notificationManager) {
		this.apiContext = apiContext;
		this.notificationManager = notificationManager;
	}

//	@Transactional //TODO
//	@Scheduled(fixedRateString = "${notification.rateInterval}")
//	public void sendNotifications() throws InvalidApplicationException {
//		List<CompletableFuture<Notification>> futures = new LinkedList<>();
//		this.apiContext.getOperationsContext().getDatabaseRepository().getNotificationDao().asQueryable().where(((builder, root) ->
//				builder.and(
//						builder.or(
//								builder.equal(root.get("notifyState"), NotifyState.PENDING), builder.equal(root.get("notifyState"), NotifyState.ERROR))
//				, builder.equal(root.get("isActive"), ActiveStatus.ACTIVE)))).toListAsync().thenApplyAsync((notifications) -> {
//			if (!notifications.isEmpty()) {
//				notifications.forEach(notification -> {
//					try {
//						this.notificationManager.sendNotification(notification);
//					} catch (Exception e) {
//						logger.error(e.getMessage(), e);
//					}
//				});
//			}
//			return notifications;
//		}).thenApplyAsync((notifications) -> {
//			notifications.forEach((notification) -> futures.add(this.apiContext.getOperationsContext().getDatabaseRepository().getNotificationDao().createOrUpdateAsync(notification)));
//			return futures;
//		}).join();
//
//	}
}
