package eu.eudat.models.data.datasetprofile;

import eu.eudat.data.DescriptionTemplateEntity;
import eu.eudat.models.DataModel;

import java.util.UUID;

public class DatasetProfileOverviewModel implements DataModel<DescriptionTemplateEntity, DatasetProfileOverviewModel> {
    private UUID id;
    private String label;

    public UUID getId() {
        return id;
    }
    public void setId(UUID id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }
    public void setLabel(String label) {
        this.label = label;
    }

    @Override
    public DatasetProfileOverviewModel fromDataModel(DescriptionTemplateEntity entity) {
        this.id = entity.getId();
        this.label = entity.getLabel();
        return this;
    }

    @Override
    public DescriptionTemplateEntity toDataModel() {
        DescriptionTemplateEntity entity = new DescriptionTemplateEntity();
        entity.setId(this.getId());
        entity.setLabel(this.getLabel());
        return entity;
    }

    @Override
    public String getHint() {
        return null;
    }
}
